import { KNativePointer } from "../../src/reexport-for-generated";
import { Es2pandaAstNodeType } from "./../Es2pandaEnums";
import { Es2pandaMetaPropertyKind } from "./../Es2pandaEnums";
import { Expression } from "./Expression";
export declare class MetaProperty extends Expression {
    constructor(pointer: KNativePointer, astNodeType: Es2pandaAstNodeType);
    static createMetaProperty(kind: Es2pandaMetaPropertyKind): MetaProperty;
    static updateMetaProperty(original: MetaProperty | undefined, kind: Es2pandaMetaPropertyKind): MetaProperty;
    get kind(): Es2pandaMetaPropertyKind;
    protected readonly brandMetaProperty: undefined;
}
export declare function isMetaProperty(node: object | undefined): node is MetaProperty;
